// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "display/shader/Shader.hpp"
#include "SimpleTexturedShaderProgram.hpp"
#include "scene/components/display/material/SimpleTexturedMaterial.hpp"

namespace Dawn {
  class SimpleTexturedShader : public Shader {
    public:
      SimpleTexturedShaderProgram program;

      void compile() override;

      std::vector<struct ShaderPassItem> getPassItems(
        Mesh *mesh,
        Material *material,
        Camera *camera
      ) override;
  };
}